Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.deployment
Class JBossApplicationMetaDataFactory

    java.lang.Object
      org.jboss.portal.portlet.deployment.jboss.JBossApplicationMetaDataFactory
          org.jboss.portal.core.deployment.JBossApplicationMetaDataFactory

All Implemented Interfaces:
  org.jboss.xb.binding.GenericObjectModelFactory, org.jboss.xb.binding.ObjectModelFactory

    public class JBossApplicationMetaDataFactory

extends JBossApplicationMetaDataFactory

Version:
  $Revision: 10228 $
Author:
  Julien Viet

Constructor Summary
`JBossApplicationMetaDataFactory()`

Method Summary
`void` | `addChild(java.lang.Object parent, java.lang.Object child, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`protected JBossPortletMetaData` | `createJBossPortlet()` Can be subclasses to allow sub class.
`java.lang.Object` | `newChild(java.lang.Object object, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`void` | `setValue(java.lang.Object object, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`

Methods inherited from class org.jboss.portal.portlet.deployment.jboss.JBossApplicationMetaDataFactory
`completeRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossApplicationMetaDataFactory

    public JBossApplicationMetaDataFactory()

Method Detail

### newRoot

    public java.lang.Object newRoot(java.lang.Object root,
                                    org.jboss.xb.binding.UnmarshallingContext nav,
                                    java.lang.String nsURI,
                                    java.lang.String localName,
                                    org.xml.sax.Attributes attrs)

  Specified by:
    `newRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`
  Overrides:
    `newRoot` in class `JBossApplicationMetaDataFactory`

### newChild

    public java.lang.Object newChild(java.lang.Object object,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

  Specified by:
    `newChild` in interface `org.jboss.xb.binding.GenericObjectModelFactory`
  Overrides:
    `newChild` in class `JBossApplicationMetaDataFactory`

### addChild

    public void addChild(java.lang.Object parent,
                         java.lang.Object child,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

  Specified by:
    `addChild` in interface `org.jboss.xb.binding.GenericObjectModelFactory`
  Overrides:
    `addChild` in class `JBossApplicationMetaDataFactory`

### setValue

    public void setValue(java.lang.Object object,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

  Specified by:
    `setValue` in interface `org.jboss.xb.binding.GenericObjectModelFactory`
  Overrides:
    `setValue` in class `JBossApplicationMetaDataFactory`

### createJBossPortlet

    protected JBossPortletMetaData createJBossPortlet()

  Description copied from class: `JBossApplicationMetaDataFactory`
  Can be subclasses to allow sub class.

  Overrides:
    `createJBossPortlet` in class `JBossApplicationMetaDataFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD